curl --request GET \
--url https://api.hubapi.com/crm/v3/property-validations/{objectTypeId} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"propertyName": "<string>",
"propertyValidationRules": [
{
"ruleArguments": [
"<string>"
],
"ruleType": "AFTER_DATETIME_DURATION",
"shouldApplyNormalization": true
}
]
}
]
}Read all properties with validation rules for a given object.
curl --request GET \
--url https://api.hubapi.com/crm/v3/property-validations/{objectTypeId} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"propertyName": "<string>",
"propertyValidationRules": [
{
"ruleArguments": [
"<string>"
],
"ruleType": "AFTER_DATETIME_DURATION",
"shouldApplyNormalization": true
}
]
}
]
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
Collection of properties with their validation rules. Each item maps a property name to its configured validation rules for the specified object type.
Show child attributes
Was this page helpful?